#include "..\script_component.hpp"

/*
 * Function: forge_server_bank_fnc_verifyBankStore
 * Author: IDSolutions
 *
 * [Description]
 * Ensures the bank store is initialized and returns the store object.
 * Acts as a singleton accessor for the bank store interface.
 * If the store doesn't exist yet, it initializes it first.
 *
 * Arguments:
 * None
 *
 * Return Value:
 * Bank Store <OBJECT> - The bank store interface object
 *
 * Example:
 * private _bankStore = call forge_server_bank_fnc_verifyBankStore
 *
 * Public: No
 */

private _store = GETMVAR(FORGE_BANK_STORE_REG,nil);

if (isNil "_store") then {
    _store = call FUNC(initBankStore);

    diag_log text "[FORGE::Server::Bank::verifyBankStore] Bank store initialized";
};

_store